<? $defines = Zend_Registry::get('defines'); ?>
<div class="container-fluid reviews mt-4">
  <div class="container">
    <div class="row">
      <!-- LEFT Col -->
      <div class="col-sm-12 col-md-12 col-lg-9 py-2 left-col">
     
      <div class="left-col-title d-flex flex-sm-row flex-md-row flex-lg-row justify-content-between align-items-center ">
          <div>
            <legend><strong><?= __("latest_reviews")?></strong></legend>
          </div> 
          <i data-toggle="modal" data-target=".reviews-filter-modal" aria-expanded="false" class="hidden-lg-up la la-filter la-2x mobile-filter-button float-right"></i>
      </div>

          <div class="d-flex">
              <div class="filters">
                  <form>
                      <div class="reviews-filter hidden-md-down mb-2">
                          <select class="custom-select" data-filter="true" name="r_city" data-scenario="trigger">
                              <option value="" selected=""><?=__("whole_uk")?></option>
                              <?php foreach ($this->cities as $city): ?>
                                  <option value="<?= $city['city_id'] ?>"><?= $city['city_title'] ?></option>
                              <?php endforeach; ?>
                          </select>
                          <div class="d-inline-flex">
                              <input type="text" name="showname" placeholder="<?= __("showname")?>" class="form-control " data-scenario="trigger">
                          </div>
                          <div class="d-inline-flex">
                              <input type="text" name="member_name" placeholder="<?=__("author_name")?>" class="form-control mr-3" data-scenario="trigger">
                          </div>

                          <? foreach ($defines['gender_options'] as $k => $v): ?>
                              <?php if($this->genders[$k] > 0): ?>
                                  <label class="custom-control custom-checkbox">
                                      <input value="<?= $k ?>" type="checkbox" name="gender[]" class="custom-control-input" data-scenario="trigger">
                                      <span class="custom-control-indicator"></span>
                                      <span class="custom-control-description"><?= $v ?></span>
                                  </label>
                              <?php endif;?>
                          <? endforeach; ?>
                          <button type="button" class="button btn-primary invisible" id="do_search"><?=__("search")?></button>
                      </div>



                      <!-- filter modal-->
                      <div class="modal fade reviews-filter-modal" tabindex="-1" role="dialog"
                           aria-labelledby="mySmallModalLabel" aria-hidden="true">
                          <div class="modal-dialog modal-sm">
                              <div class="modal-content">
                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span class="close" aria-hidden="true">×</span>
                                  </button>
                                  <h6 class="modal-title"><?=__("filter_reviews")?></h6>


                                  <select class="custom-select mb-2" data-filter="true" name="r_city">
                                      <option value="" selected=""><?=__("whole_uk")?></option>
                                      <?php foreach ($this->cities as $city): ?>
                                          <option value="<?= $city['city_id'] ?>"><?= $city['city_title'] ?></option>
                                      <?php endforeach; ?>
                                  </select>

                                  <input type="text" name="showname" placeholder="<?=__("escort_showname")?>"
                                         class="form-control mb-2">

                                  <input type="text" name="member_name" placeholder="<?= __("review_author_name")?>"
                                         class="form-control mb-2">
                                  <div class="w100 mb-2 hidden-sm-up"></div>
                                  <? foreach ($defines['gender_options'] as $k => $v): ?>
                                      <?php if($this->genders[$k] > 0): ?>
                                          <label class="custom-control custom-checkbox">
                                              <input value="<?= $k ?>" type="checkbox" class="custom-control-input" name="gender[]">
                                              <span class="custom-control-indicator"></span>
                                              <span class="custom-control-description"><?= $v ?></span>
                                          </label>
                                      <?php endif;?>
                                  <? endforeach; ?>
                                  <div class="m-footer text-center mt-4">
                                      <button type="button" class="btn btn-secondary" data-role="reset"><?=__("reset")?></button>
                                      <button type="button" class="btn btn-primary" data-dismiss="modal"
                                              aria-label="Close"><?=__("done")?><i class="ion-checkmark"></i></button>
                                  </div>
                              </div>
                          </div>
                      </div>     <!-- filter modal end -->

                  </form>
              </div>
          </div>
          <div class="content-wrapper" id="review-area">
              <?= $this->render('reviews/review-items.phtml') ?>
          </div>

      </div>
      <!-- LEFT Col end -->
      <?= $this->render('right-sidebar/right-sidebar.phtml') ?>

   </div>
 </div><!-- row END -->
</div>

<?php $this->placeholder('page-specific-scripts')->captureStart(); ?>
<?php $ln = $this->request()->lang_id; ?>
    <script>

        var ReviewsFilter = new Sceon.Filter.Escorts($('.filters'), {
            filterUrl: "/reviews?ajax=true",
            page: 'reviews',
            htmlArea: $('#review-area')
        });

        new Sceon.Filter.Pagination(ReviewsFilter);

    </script>
<?php $this->placeholder('page-specific-scripts')->captureEnd(); ?>